<?php

/**
 * @file geolocate-logs-event-log.tpl.php
 * Default theme implementation for rendering event log geolocation+whois.
 *
 * Available variable:
 * - $log_row_build: An associative array with possible array items:
 * -- hostname: IP address of event log's source
 * -- location: Geographical location (longitude/latitude), country, region, 
 *    city and postal code
 * -- whois_source: URL of external site whois service
 *
 * @author Roland Michael dela Pea.
 * @ingroup themeable
 */
$hostname = $log_row_build['hostname'];
$location = $log_row_build['location'];
$coordinates  = $location['latitude'] . ',' . $location['longitude'];
$whois_source = $log_row_build['whois_source'];
?>
<?php if (!empty($location)): ?>
  <p style="font-weight:bold;"><?php print t('Hostname Geolocation Details:'); ?></p>
  <?php if (!empty($location['latitude']) && !empty($location['longitude'])): ?>
    <p style="float:right;">
      <img src="http://maps.google.com/maps/api/staticmap?sensor=false&zoom=11&size=200x200&maptype=0&markers=<?php print $coordinates; ?>" title="<?php print $coordinates; ?>" />
    </p>
  <?php endif; ?>
  <dl>
    <?php foreach ($location as $item => $value): ?>
      <?php if (!empty($value) && $item != 'region_code' && $item != 'timestamp'): ?>
        <?php
          if ($item == 'source') {
            switch ($value) {
              case DEVICE_GEOLOCATION_MAXMIND:
                $value = 'Geocoded Maxmind coordinates';
                break;
              case DEVICE_GEOLOCATION_W3C:
                $value = 'Geocoded W3C coordinates';
                break;
              case DEVICE_GEOLOCATION_GOOGLE_GEARS:
                $value = 'Geocoded Google Gears coordinates';
                break;
              default:
                $value = 'Maxmind geolocation';
                break;
            }
          }
          $item = str_replace('_', ' ', $item);
          $item[0] = strtoupper($item[0]);
        ?>
        <dt><?php print $item; ?></dt>
        <dd><?php print $value; ?></dd>
      <?php endif; ?>
    <?php endforeach; ?>
  </dl>
<?php endif; ?>
<p><?php print l(t('Whois:@hostname', array('@hostname' => $hostname)), "$whois_source/$hostname"); ?></p>